import { PosPaymentResult } from '../models';

export abstract class PosPaymentBridgeAbstract {
  abstract registerPaymentResultListener(handler: (payload: PosPaymentResult) => void): () => void;
  abstract emitPaymentResultForTest(payload: unknown): void;
}
